Bug 861106

Summary: X Test Day: Video breaks when secondary monitor is connected
Product: [Fedora] Fedora Reporter: Jaroslav Škarvada <jskarvad>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: airlied, ajax, awilliam, bskeggs, ddumas, jreznik, jskarvad, robatino, tflink
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: RejectedBlocker
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 09:28:44 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg
none
Xorg.log none

Description Jaroslav Škarvada 2012-09-27 10:10:22 EDT
Description of problem:
When secondary monitor (Samsung SyncMaster 2243 through VGA cable) is connected to Dell Latitute D620 laptop, the video breaks - it starts showing artifacts / garbled output, and the desktop become unusable. The problem persist even after disconnection of the external monitor, X restart is needed. I encounter this problem during X Test Week (nouveau).

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.1-6.fc18

How reproducible:
Always

Steps to Reproduce:
1. Start gnome-shell
2. Connect external monitor
  
Actual results:
Video breaks.

Expected results:
Video works normally.

Additional info:
Quadro NVS 110M video card, smolt profile for the machine: http://www.smolts.org/client/show/pub_c7d88856-a286-4c4d-a41f-22c5971e6105
Comment 1 Jaroslav Škarvada 2012-09-27 10:20:51 EDT
It works correctly if X is restarted with monitor connected
Comment 2 Jaroslav Škarvada 2012-09-27 10:23:51 EDT
(In reply to comment #1)
> It works correctly if X is restarted with monitor connected

yup, it doesn't. It seems to be OK on the first look, but the video break on firefox maximization.
Comment 3 Jaroslav Škarvada 2012-09-27 10:27:38 EDT
Created attachment 618118 [details]
dmesg
Comment 4 Jaroslav Škarvada 2012-09-27 10:29:29 EDT
Created attachment 618120 [details]
Xorg.log
Comment 5 Tim Flink 2012-11-30 15:43:03 EST
Unless I'm missing something, I don't see how this qualifies as a blocker for F18. It sounds like the laptop's display functions correctly when used by itself but issues appear if a secondary monitor is connected.

If I'm missing something here, please list the F18 release criterion (alpha, beta or final) that this bug violates or at least a justification why this bug should block the release of F18.

http://fedoraproject.org/wiki/Fedora_18_Alpha_Release_Criteria
http://fedoraproject.org/wiki/Fedora_18_Beta_Release_Criteria
http://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria

-1 blocker
Comment 6 Adam Williamson 2012-12-01 03:31:35 EST
agreed with tflink, single system bugs are rarely blockers, and *certainly* multi-head only single-system bugs aren't.
Comment 7 Jaroslav Reznik 2012-12-03 05:34:06 EST
Agreed, it's definitely bug but related to custom combination of HW, system boots, desktop is usable on the primary head. And restarting X fixes the issue partially.

-1 blocker
Comment 8 Kevin Fenzi 2012-12-04 18:48:04 EST
-1 blocker.
Comment 9 Robyn Bergeron 2012-12-05 01:03:16 EST
-1 blocker, jreznik's comment is spot on.
Comment 10 Tim Flink 2012-12-05 10:18:42 EST
I count -5 blocker. Moving to rejected
Comment 11 Martin 2013-06-11 12:12:17 EDT
Jaro, are you able to reproduce it on latest Fedora 18 or 19?
Comment 12 Jaroslav Škarvada 2013-06-21 05:26:40 EDT
I think the problem is related to the bug 924385. The effect is nearly the same, but triggered by connection of secondary monitor. It seems to be reproducible only in the gnome-shell. It works correctly in Xfce.
Comment 13 Fedora End Of Life 2015-01-09 12:23:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 09:28:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.